
  
    <div data-bs-interval="false" id="carouselExampleDark" class="carousel course-carousel-container carousel-dark slide"
      data-pause="hover" data-bs-ride="carousel">
      <div class="carousel-indicators">
        <!-- <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="2" aria-label="Slide 3"></button> -->
      </div>
      <div class="carousel-inner">
        <div *ngFor="let course of courses; let i = index" class="carousel-item course-carousel-item"
          [class.active]="i === activeIndex">
          <div class="card-course-container">
            <div class="course-background" [style.background-image]="'url(' + course?.thumbnailLocation + ')'"></div>
            <div class="">
              <h5 class="">{{ course?.name }}</h5>
              <p class="">{{ course?.description }}</p>
            </div>
          </div>
          <div class="card-course-container" *ngIf=" courses[i + 1]">
            <div class="course-background" [style.background-image]="'url(' + courses[i + 1]?.thumbnailLocation + ')'">
            </div>
            <div>
              <h5 class="">{{ courses[i + 1]?.name }}</h5>
              <p class="card-text">{{ courses[i + 1]?.description }}</p>
            </div>
          </div>
          <div class="card-course-container"  *ngIf=" courses[i + 2]">
            <div class="course-background" [style.background-image]="'url(' + courses[i + 2]?.thumbnailLocation + ')'">
            </div>
            <div>
              <h5 class="">{{ courses[i + 2]?.name }}</h5>
              <p class="card-text">{{ courses[i + 2]?.description }}</p>
            </div>
          </div>
        </div>
      </div>
      <button (click)=" showPreviousCourse()" *ngIf="activeIndex !== 0" class="carousel-control-prev course-previous"
        type="button" data-bs-target="#carouselExampleDark" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
      </button>
      <button (click)=" showNextCourse()" class="carousel-control-next course-next" type="button"
        data-bs-target="#carouselExampleDark" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
      </button>
    </div>
  
  
  
  